Botan: Botan::Certificate_Extension Class Reference

Botan 1.10.16

Public Member Functions | Protected Member Functions | Friends | List of all members
Botan::Certificate_Extension Class Referenceabstract

`#include <x509_ext.h>`

Inheritance diagram for Botan::Certificate_Extension:

## Public Member Functions
virtual std::string | config_id () const =0
virtual void | contents_to (Data_Store &subject, Data_Store &issuer) const =0
virtual Certificate_Extension * | copy () const =0
virtual std::string | oid_name () const =0
OID | oid_of () const
virtual | ~Certificate_Extension ()

## Protected Member Functions
virtual void | decode_inner (const MemoryRegion< byte > &)=0
virtual MemoryVector< byte > | encode_inner () const =0
virtual bool | should_encode () const

## Friends
class | Extensions

## Detailed Description

X.509 Certificate Extension

Definition at line 22 of file x509_ext.h.

## Constructor & Destructor Documentation

## ◆ ~Certificate_Extension()

virtual Botan::Certificate_Extension::~Certificate_Extension | ( |  | ) |
| inlinevirtual

Definition at line 55 of file x509_ext.h.

55 {}

## Member Function Documentation

## ◆ config_id()

virtual std::string Botan::Certificate_Extension::config_id | ( |  | ) | const
| pure virtual

## ◆ contents_to()

virtual void Botan::Certificate_Extension::contents_to | ( | Data_Store & | subject,
|  | Data_Store & | issuer
| ) |  | const
| pure virtual

## ◆ copy()

virtual Certificate_Extension* Botan::Certificate_Extension::copy | ( |  | ) | const
| pure virtual

Make a copy of this extension

Returns
  copy of this

Implemented in Botan::Cert_Extension::CRL_ReasonCode, Botan::Cert_Extension::CRL_Number, Botan::Cert_Extension::Certificate_Policies, Botan::Cert_Extension::Extended_Key_Usage, Botan::Cert_Extension::Issuer_Alternative_Name, Botan::Cert_Extension::Subject_Alternative_Name, Botan::Cert_Extension::Authority_Key_ID, Botan::Cert_Extension::Subject_Key_ID, Botan::Cert_Extension::Key_Usage, and Botan::Cert_Extension::Basic_Constraints.

## ◆ decode_inner()

virtual void Botan::Certificate_Extension::decode_inner | ( | const MemoryRegion< byte > & |  | ) |
| protectedpure virtual

Referenced by Botan::Extensions::decode_from().

## ◆ encode_inner()

virtual MemoryVector<byte> Botan::Certificate_Extension::encode_inner | ( |  | ) | const
| protectedpure virtual

Referenced by Botan::Extensions::encode_into().

## ◆ oid_name()

virtual std::string Botan::Certificate_Extension::oid_name | ( |  | ) | const
| pure virtual

## ◆ oid_of()

OID Botan::Certificate_Extension::oid_of | ( |  | ) | const

Returns
  OID representing this extension

Definition at line 72 of file x509_ext.cpp.

References Botan::OIDS::lookup().

Referenced by Botan::Extensions::encode_into().

73 {
74 return OIDS::lookup(oid_name());
75 }
Botan::Certificate_Extension::oid_name
virtual std::string oid_name() const =0
Botan::OIDS::lookup
std::string lookup(const OID &oid)
Definition: oids.cpp:31

## ◆ should_encode()

virtual bool Botan::Certificate_Extension::should_encode | ( |  | ) | const
| inlineprotectedvirtual

Definition at line 58 of file x509_ext.h.

Referenced by Botan::Extensions::encode_into().

58 { return true; }

## Friends And Related Function Documentation

## ◆ Extensions

friend class Extensions
| friend

Definition at line 57 of file x509_ext.h.

The documentation for this class was generated from the following files:

- src/cert/x509cert/x509_ext.h
- src/cert/x509cert/x509_ext.cpp